Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.wavix.com/llms.txt

Use this file to discover all available pages before exploring further.

Prerequisites

Before you begin, ensure you have:
  1. An active phone number in your Wavix account. If you need to purchase one, see our guide on how to buy a phone number.
  2. A Wavix SIP trunk (How to create a SIP trunk).
  3. An active Retell AI account.

How it works

Inbound calls

  1. A customer calls your Wavix phone number.
  2. Wavix routes the call via SIP to your Retell AI voice agent.
  3. Retell AI voice agent processes the audio and generates responses.
  4. Responses are streamed back into the call through Wavix.

Outbound calls

  1. Your application or Retell AI dashboard triggers a call.
  2. Retell AI connects to Wavix via SIP.
  3. Wavix connects the call to your customer via the telephony network.
  4. The customer answers the call.
  5. Retell AI voice agent processes the audio and generates responses.
  6. Responses are streamed back into the call.

Receive calls with Wavix and Retell AI

Import a number into Retell AI

  1. Sign in to your Retell AI account.
  2. In the left-hand menu, select Phone Numbers.
  3. Select the + button and choose Connect to your number via SIP trunking.
Import a Wavix phone number to your Retell AI account
  1. Enter the imported Wavix number details:
    • Phone Number: A Wavix phone number in your account.
    • Termination URI: Use us.wavix.net to ensure the lowest audio latency.
    • SIP Trunk User Name: Enter the SIP trunk ID from your Wavix account.
    • SIP Trunk Password: Your Wavix SIP trunk password.
    • Outbound Transport: Use TCP.
  2. Select Save.

Create a Retell AI voice agent

  1. In your Retell AI dashboard, open the left-hand menu and select Agents.
  2. In the top-right corner, select Create an Agent and choose Voice Agent.
  3. Select an Agent Type and use one of Retell AI’s templates or build a new agent from scratch.
  4. Once finished, publish your agent:
    • Give your agent a descriptive name.
    • (Optionally) Provide information about what your agent does.
    • Associate it with an imported phone number.
Publish a Retell AI agent
  1. Select Publish.
You can assign an agent to a number when configuring the number itself.

Configure your Wavix number

To route inbound calls to your Retell AI agent:
  1. In the Wavix portal, open Numbers & trunks → My numbers.
  2. Select your number by clicking the menu → Edit number.
  3. Set the inbound call destination type to SIP URI, and enter the destination:
[did]@sip.retellai.com;transport=tcp
  1. Select Save to apply changes. Wavix will automatically replace [did] with your actual number.
Now, all calls to your Wavix number are routed to your Retell AI voice assistant.

Verify the configuration

Place a test call to the Wavix number. You’ll be connected to your agent shortly.

Place calls with Wavix and Retell AI

Before placing an outbound call, make sure:
  • An Outbound Call Agent is assigned to the number.
  • The country you plan to call is listed in Allowed Outbound Countries or all countries are allowed.
Allow outbound calls for your number To place an outbound call with Retell AI, you can use:
  • Dashboard
  • API
  • Batch Call tool

Place a call using the dashboard

In the Retell AI dashboard:
  1. In the left-hand menu, select Phone Numbers.
  2. Choose the imported Wavix number.
  3. In the top-right corner, select Make an outbound call:
    • Phone Number: Enter the number you want to call.
    • Dynamic Variables: Provide dynamic variables to prepopulate in your assistant.
Make an outbound call with Retell AI
  1. Select Call.

Troubleshooting

If your call doesn’t go through:
  1. Validate the destination number and make sure it is provided in E.164 format.

Place a call using API

To make a call using the API, you’ll need a Retell AI API key:
  1. Navigate to Settings and select API Keys.
  2. Copy your API key.
You may need to create a new API Key first.
  1. Run the POST request below using your favorite tool, such as Postman or terminal.
curl -L 'https://api.retellai.com/v2/create-phone-call' \
-H 'Authorization: Bearer YOUR_RETELLAI_KEY' \
-H 'Content-Type: application/json' \
-d '{
    "from_number": "+YOUR_WAVIX_NUMBER",
    "to_number": "+DESTINATION_NUMBER",
    "ignore_e164_validation": false
}'
  • from_number: Originating number, the Wavix number imported to Retell AI.
  • to_number: Destination number you want to call.
Retell AI lets you override the default agent bound to the originating number and pass optional dynamic variables to the Response Engine. Check the Retell AI API documentation for more details.
If successful, the Retell AI places a call to the destination number.

Batch Call tool

Batch calls let you create, schedule, and monitor calls in bulk. To place calls using Retell AI Batch Call:
  1. In the Retell AI dashboard, navigate to Batch call and select Create a batch call.
  2. Give your campaign a name and select an imported Wavix number.
  3. Upload a list of contacts.
  4. (Optionally) Schedule your campaign.
  5. Select Send to launch the campaign.
Make sure your Retell AI allowed CPS (calls per second) does not exceed your Wavix account limit:

Call transfer

Wavix supports using the SIP REFER command. To transfer a call, you need two Wavix numbers, one for an active call and one to receive the transferred call. Make sure inbound call routing is set up on the second number. To enable call transfers with Retell AI:
  1. In your Retell AI dashboard, select the agent you want to enable this functionality for.
  2. Under Functions, click Add and choose Call Transfer.
  3. Set the Transfer to to Static Destination and enter a SIP URI to transfer the call to in the following format: sip:[YOUR_WAVIX_NUMBER]@us.wavix.net. Example: sip:14062260605@us.wavix.net.
  4. Make sure to select Keep raw input.
  5. Select Cold Transfer under How should the AI handle the transfer?.
  6. Select SIP REFER as the SIP Transfer Method.
  7. Select Save.
If you need to use Dynamic Routing for call transfer, make sure the transfer destination(s) are provided in the sip:[YOUR_WAVIX_NUMBER]@us.wavix.net format .
Configure call transfer
Update the agent’s prompt to include the transfer call conditions.